@charset "UTF-8";

:root,
[data-bs-theme=light] {
	--font: 'Plus Jakarta Sans', system-ui, sans-serif;

	--primary-color: hsl(0 80% 55%);
	--primary-color-light: hsl(0 80% 65%);
	--primary-color-dark: hsl(0 80% 45%);

	--xxl: 7.5rem;
	--xl: 3.5rem;

	--bs-primary: hsl(0 80% 55%);
	--bs-primary-rgb: 232, 48, 48;

	--bs-light: hsl(0 0% 93%);
	--bs-light-rgb: 238, 238, 238;

	--bs-dark: black;
	--bs-dark-rgb: 0, 0, 0;

	--bs-body-color: black;

	--h1: clamp(2.44375rem, 4vw, 3.8125rem);
	--h2: clamp(1.95625rem, 3vw, 3.05rem);
	--h3: clamp(1.5625rem, 2.5vw, 2.44375rem);
	--h4: clamp(1.25rem, 2vw, 1.95625rem);
	--h5: clamp(1.15rem, 1.5vw, 1.5625rem);
	--h6: clamp(1.1rem, 1.25vw, 1.25rem);
	--lead: var(--h6);

	--affix-height: 80px;
}

[x-cloak] {
	display: none !important;
}

:focus-visible {
	outline: 2px dashed var(--primary-color);
	outline-offset: 2px;
}

html {
	scrollbar-gutter: stable;
	scroll-behavior: smooth;
}

body {
	font-family: var(--font);
	line-height: 1.65;
	font-variant-ligatures: none;
}

.font-size-12px {
	font-size: .75rem;
}

.font-size-14px {
	font-size: .875rem;
}

.font-size-16px {
	font-size: 1rem;
}

.font-size-18px {
	font-size: 1.125rem;
}

.font-size-20px {
	font-size: 1.25rem;
}

.font-size-22px {
	font-size: 1.375rem;
}

.font-size-24px {
	font-size: 1.5rem;
}

.font-size-26px {
	font-size: 1.625rem;
}

.font-size-28px {
	font-size: 1.75rem;
}

.font-size-30px {
	font-size: 1.875rem;
}

.font-size-32px {
	font-size: 2rem;
}

.font-size-34px {
	font-size: 2.125rem;
}

.font-size-36px {
	font-size: 2.25rem;
}

.font-size-38px {
	font-size: 2.375rem;
}

.font-size-40px {
	font-size: 2.5rem;
}

.font-size-42px {
	font-size: 2.625rem;
}

.font-size-44px {
	font-size: 2.75rem;
}

.font-size-46px {
	font-size: 2.875rem;
}

.font-size-48px {
	font-size: 3rem;
}

.font-size-50px {
	font-size: 3.125rem;
}

.icon {
	width: var(--icon-size, 72px);
}

.icon-72px,
[src*="_72px"] {
	width: 72px;
}

.icon-48px,
[src*="_48px"] {
	width: 48px;
}

.icon-32px,
[src*="_32px"] {
	width: 32px;
}

.icon-16px,
[src*="_16px"] {
	width: 16px;
}

h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6 {
	font-family: var(--font);
	margin-bottom: 1rem;
	font-weight: 500;
}

h1 em,
h2 em,
h3 em,
h4 em,
h5 em,
h6 em,
.h1 em,
.h2 em,
.h3 em,
.h4 em,
.h5 em,
.h6 em {
	font-style: normal;
	color: var(--primary-color);
}

h1,
.h1 {
	font-size: var(--h1) !important;
	text-wrap: balance;
}

h2,
.h2 {
	font-size: var(--h2) !important;
}

h3,
.h3 {
	font-size: var(--h3) !important;
}

h4,
.h4 {
	font-size: var(--h4) !important;
}

h5,
.h5 {
	font-size: var(--h5) !important;
}

h6,
.h6 {
	font-size: var(--h6) !important;
}

.lead {
	font-size: var(--lead);
}

.lead,
p {
	text-wrap: pretty;
}

.container-fluid {
	padding-inline: 3vw;
}

@media (min-width: 1536px) {
	.container {
		max-width: 1470px;
	}
}

.inset-0 {
	inset: 0;
}

.p-xxl {
	padding: var(--xxl);
}

.p-xl {
	padding: var(--xl);
}

.px-xxl {
	padding-inline: var(--xxl)
}

.px-xl {
	padding-inline: var(--xl)
}

.pt-xxl {
	padding-top: var(--xxl);
}

.pb-xxl {
	padding-bottom: var(--xxl);
}

.py-xxl {
	padding-top: var(--xxl);
	padding-bottom: var(--xxl);
}

.mt-xxl {
	margin-top: var(--xxl);
}

.mb-xxl {
	margin-bottom: var(--xxl);
}

.my-xxl {
	margin-top: var(--xxl);
	margin-bottom: var(--xxl);
}

.pt-xl {
	padding-top: var(--xl);
}

.pb-xl {
	padding-bottom: var(--xl);
}

.py-xl {
	padding-top: var(--xl);
	padding-bottom: var(--xl);
}

.mt-xl {
	margin-top: var(--xl);
}

.mb-xl {
	margin-bottom: var(--xl);
}

.my-xl {
	margin-top: var(--xl);
	margin-bottom: var(--xl);
}

#main ol li ul {
	margin-top: 1rem;
	margin-bottom: 1rem;
}

#main ol li+li {
	margin-top: 1rem;
}

#main ul li+li {
	margin-top: .25rem;
}

/*  MARK: navbar  */

.navbar {
	--bs-navbar-padding-x: 0;
	--bs-navbar-padding-y: 0;
	--bs-navbar-active-color: white;
	--bs-navbar-nav-link-padding-x: 1rem;
	transition: padding 200ms, box-shadow 200ms;
	margin-top: 10px;
	background-image: linear-gradient(45deg, hsl(0 0% 0% / .5), hsl(0 0% 30% / .8));
	backdrop-filter: blur(10px);
	border-radius: .5rem;
	width: auto;
	left: 50%;
	transform: translateX(-50%);
	right: auto;

	& .container {
		padding: 0;
	}
}

.navbar-brand {
	padding: 0;
	margin: 0 0 0 2rem;
}

.navbar-brand-image {
	height: 48px;
	transition: height 200ms;
}

.navbar-nav .nav-link {
	padding: 2rem !important;
	color: white;
	font-weight: 500;
	border-bottom: 1px solid transparent;
	transition: color 200ms, background-color 200ms, padding 200ms, border-color 200ms;

	&:hover,
	&:focus,
	&.show,
	&.active {
		background-color: hsl(0 0% 0% / .1);
		color: white;
		border-bottom: 1px solid var(--primary-color);
	}
}

.affix {
	& .navbar-nav .nav-link {
		padding: 1rem 2rem !important;
	}

	& .navbar-brand-image {
		height: 35px;
	}
}



.navbar-nav li:last-child .nav-link {
	border-radius: 0 .5rem .5rem 0;
	background-color: hsl(0 0% 0% / .8);
}

.dropdown {
	position: static;
}

.dropdown-menu {
	border: 0;
	padding: 1.25rem;
	background-color: hsl(0 0% 0% / .9);
	backdrop-filter: blur(1rem);
	border-radius: .5rem;
	width: 140%;
	left: -20% !important;
	transform: translateY(50px);
	opacity: 0;
	display: grid !important;
	gap: 1rem;
	grid-template-columns: repeat(auto-fit, minmax(180px, 1fr));
	pointer-events: none;
	transition: transform 300ms, opacity 300ms;
	transition-behavior: allow-discrete;
}

/* .dropdown-menu>li:not(.d-flex) {
	position: relative;

	&::before {
		content: '';
		display: block;
		width: 100%;
		height: 1px;
		background-image: linear-gradient(to right, transparent, hsl(0 0% 100% / .5), hsl(0 0% 100% / .5), transparent);
		position: absolute;
		bottom: -.5rem;
		left: 0;
	}
} */

.dropdown-menu>li.d-flex {
	grid-column: 1 / -1;
	border-top: 1px solid hsl(0 0% 100% / .2);
	padding-top: 1rem;
	margin-top: 0.25rem;

	& .dropdown-item {
		width: auto;
		display: inline-flex;
	}
}

.dropdown-menu.show {
	transform: translateY(5px);
	opacity: 1;
	pointer-events: all;
}

.dropdown-item {
	padding: .25em .5em;
	color: white;
	white-space: normal;
	text-wrap: balance;
	line-height: 1.3;
	position: relative;
	display: flex;
	height: 100%;
	align-items: center;
	gap: .5rem;
	transition: color 300ms;

	&::after {
		content: '';
		position: absolute;
		z-index: -1;
		inset: 10px;
		opacity: 0;
		border-radius: .25rem;
		background-color: hsl(0 0% 100% / .2);
		transition: inset 200ms, opacity 200ms;
	}
}

.dropdown-item:hover,
.dropdown-item:focus,
.dropdown-item.active {
	color: white;
	background-color: transparent;

	&::after {
		inset: -5px;
		opacity: 1;
	}
}

.dropdown-toggle::after {
	margin-left: .45rem;
	vertical-align: .25rem;

	border: 0;
	border-left: 1px solid white;
	border-bottom: 1px solid white;
	width: .35rem;
	height: .35rem;
	transform: rotate(-45deg);
	transition: transform 200ms, vertical-align 200ms;
}

.dropdown-toggle.show::after {
	transform: rotate(-225deg);
	vertical-align: .15rem;
}

.dropdown-item .thumb {
	width: 48px;
}

.dropdown-item .thumb img {
	transition: 3s cubic-bezier(0.075, 0.82, 0.165, 1);
}


.dropdown-item:hover .thumb img {
	transform: scale(1.25);
}

/*  MARK: header  */

header .position-absolute {
	background-color: hsl(0 0% 0% / .6);
}

.swiper__image {
	height: 100vh;
}

/*  MARK: main content */

.btn {
	--bs-btn-padding-x: 1.875rem;
	--bs-btn-padding-y: 1.25rem;
	--bs-btn-font-size: 1rem;
	--bs-btn-font-weight: 500;
	--bs-btn-line-height: 1.5;
	--bs-btn-border-radius: .5rem;
}

.btn-primary {
	--bs-btn-bg: var(--primary-color);
	--bs-btn-border-color: var(--primary-color);
	--bs-btn-hover-bg: var(--primary-color-light);
	--bs-btn-hover-border-color: var(--primary-color-light);
	--bs-btn-active-bg: var(--primary-color-dark);
	--bs-btn-active-border-color: var(--primary-color-dark);
}

.btn-outline-primary {
	--bs-btn-color: var(--primary-color);
	--bs-btn-border-color: var(--primary-color);
	--bs-btn-hover-bg: var(--primary-color);
	--bs-btn-hover-border-color: var(--primary-color);
	--bs-btn-active-bg: var(--primary-color);
	--bs-btn-active-border-color: var(--primary-color);
}

#firma .col-lg-5 {
	left: 0;
	top: 50%;
	transform: translateY(-50%);
}

#firma .glass {
	background-color: hsl(0 0% 100% / .8);
	backdrop-filter: blur(10px);
}

p:last-child {
	margin-bottom: 0;
}

.card {
	border: 0;
	background-color: transparent;
}

.card-img-top {
	display: block;
	width: 100%;
	overflow: hidden;
	border-radius: .5rem;

	& img {
		display: block;
		aspect-ratio: 1;
		width: 100%;
		object-fit: cover;
		transition: transform 600ms cubic-bezier(0.165, 0.84, 0.44, 1);
	}
}

.card[x-data] {
	cursor: pointer;
}

.card[x-data]:hover,
.card-img-top:hover {
	& img {
		transform: scale(1.1);
	}


	& .card-title-link {
		color: var(--primary-color);
	}
}

.card-body {
	padding: 1rem 0 0 0;
}

.card-title-link {
	text-decoration: none;
	color: var(--bs-dark);
	transition: color 200ms;

	&:hover,
	&:focus {
		color: var(--primary-color);
	}
}

section {
	clear: both;
}

#rozwiazanie {
	background-image: url(../img/parallax.webp);
	background-attachment: fixed;
	background-size: cover;
	position: relative;

	& .container {
		z-index: 2;
		position: relative;
	}

	&::after {
		content: "";
		display: block;
		inset: 0;
		position: absolute;
		z-index: 1;
		background-color: hsl(0 0% 0% / .5);
	}
}

#mapa iframe {
	width: 100%;
	height: 600px;
}


/*  MARK: stopka */

footer a {
	text-decoration: none;
	color: var(--bs-dark);
	transition: color 200ms;
}

footer a:hover,
footer a:focus {
	color: var(--primary-color);
}

ul.columns-2 {
	column-count: 2;
	padding: 0;

	& li {
		list-style: none;
		padding: 0;
	}
}

.columns-2 li+li,
.list-unstyled li+li {
	margin-top: 0.75em;
}

.madeby {
	display: flex;
	align-items: center;
}

.madeby small {
	font-size: 0.625rem;
	margin: 0.2em 0.2em 0 0;
}

/*  MARK: sub content  */

.sub header img.w-100 {
	height: 600px;
}

main:has(#sub-pages:last-of-type) {
	padding-bottom: 0;
}

.gallery a {
	display: block;
	width: 100%;
	overflow: hidden;
	border-radius: .5rem;
}

.gallery a img {
	width: 100%;
	display: block;
	transition: transform 400ms cubic-bezier(0.19, 1, 0.22, 1);
}

.gallery a:hover img {
	transform: scale(1.1);
}

.downloads a {
	text-decoration: none;
	color: black;
	border: 1px solid hsl(0 0% 90%);
	border-radius: .25rem;
	transition: color 200ms, border-color 200ms;

	& .h5 {
		font-size: 1rem !important;
		font-weight: normal;
	}
}

.downloads a:hover {
	color: var(--primary-color);
	border-color: var(--primary-color);
}

.form-control,
.form-select,
.form-check-input {
	padding: .75rem;
	border-radius: .25rem;
}

.form-check-label {
	margin-top: 0.15em;
	margin-left: 1em;
}

.form-control.error {
	border-color: red;
}

.error-msg {
	color: red;
}

/*  MARK: paginator  */

.pagination {
	display: flex;
}

.pagination li {
	display: none;
}

.pagination .active,
.pagination .insertPage,
.pagination li:first-child,
.pagination li:last-child {
	display: block;
}

.pagination a,
.pagination input {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 30px;
	height: 30px;
	margin: 0 5px;
	padding: 0;
	text-align: center;
	color: #bbb;
	border: 1px solid #e1e1e1;
	text-decoration: none;
	transition: all .2s;
}

.pagination a:focus,
.pagination a:hover,
.pagination input:focus,
.pagination input:hover {
	color: var(--primary-color);
	border: 1px solid var(--primary-color);
}

.pagination input::placeholder {
	color: #bbb;
	font-size: 16px;
	font-weight: 500;
}

.pagination .active a {
	border: 1px solid var(--primary-color);
	background: var(--primary-color);
	color: #fff;
	cursor: text;
}

.pagination .insertPage+.insertPage {
	display: none;
}

/*  MARK: RWD  */